GET
/v2/providers/fms/apis/api/v1/vendors/{vendorId}/coupons/{couponId}/items/{vendorItemId}2609170000[立减优惠券] 单件优惠券查看(vendorItemId)
# 01
简介
[立减优惠券] 单件优惠券查看(vendorItemId)
# 02
详细内容
API支持的买家用户地区:韩国
该API用于通过vendor item ID查看当前使用了优惠券的商品。
路径
GET/v2/providers/fms/apis/api/v1/vendors/{vendorId}/coupons/{couponId}/items/{vendorItemId}
示例端点
https://api-gateway.coupang.com/v2/providers/fms/apis/api/v1/vendors/A00000001/coupons/76/items/3223826213?type=vendorItemId# 03
Path 参数
| Name | Type | Description |
|---|---|---|
| vendorId* | string | 卖家ID
|
| couponId* | number | 优惠券ID (Wing的优惠券编号)
|
| vendorItemId* | number | Vendor item ID
|
# 04
Query 参数
| Name | Type | Description |
|---|---|---|
| type* | string | vendorItemId
|
# 05
响应体
响应消息
| Name | Type | Description | ||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|
| code | integer | 服务器响应代码
| ||||||||||
| message | string | 服务器响应信息
| ||||||||||
| httpStatus | integer | HTTP
| ||||||||||
| httpStatusMessage | string | HTTP 状态信息 (与服务器响应信息的值相同)
| ||||||||||
| errorMessage | string | 除HTTP Status 200以外,剩下Status 中包含服务器详细失败原因信息
| ||||||||||
| data | object | 优惠券单品列表
| ||||||||||
| success data.success | boolean | 成功与否 true or false | ||||||||||
| content data.content | object | 优惠券单品列表
| ||||||||||
| couponItemId data.content.couponItemId | integer | 优惠券单品ID ex) 80984 | ||||||||||
| couponId data.content.couponId | integer | 优惠券ID (Wing的优惠券编号) ex) 75, 80
| ||||||||||
| vendorItemId data.content.vendorItemId | integer | 卖家单品ID ex) 3223826213
| ||||||||||
| startAt data.content.startAt | string | 有效开始日/时 ex) 2017-08-04 01:00:00 | ||||||||||
| endAt data.content.endAt | string | 有效结束日/时 ex)2017-09-01 00:00:00 | ||||||||||
| status data.content.status | string | 优惠券状态
| ||||||||||
| Pagination data.Pagination | object[] | 单件优惠券查看,因此无分页
|
Response Example
{
"code": 200,
"message": "OK",
"httpStatus": 200,
"httpStatusMessage": "OK",
"errorMessage": "",
"data": {
"success": true,
"content": {
"couponItemId": 80984,
"couponId": 76,
"vendorItemId": 3223826213,
"startAt": "2017-08-04 01:00:00",
"endAt": "2017-09-01 00:00:00",
"status": "APPLIED"
},
"pagination": null
}
}# 06
错误码
| HTTP | 代码 | 消息 |
|---|---|---|
| -- | ||